/*  Dieses Programm lsst eine LED an einem Port-Pin blinken
	Autor: Jrn Rath
	Homepage: http://royalclan.de
*/
	

#include <avr/io.h>
#include <util/delay.h>
#include <stdint.h>

//Prototypen
void sleep_ms(uint16_t ms);

//LED Defines
#define LED_DDR		DDRB
#define LED_PORT	PORTB
#define LED_PORTPIN	PB1

int main(void){
	/*Den Pin wo die LED angeschlossen
      ist als Ausgang setzen
	 */
	LED_DDR |= (1<<LED_PORTPIN);
	
	//Die LED die ganze Zeit an und aus schalten
	while(1){
		LED_PORT |= (1<<LED_PORTPIN);	//Den Portpin auf high setzen
		sleep_ms(1000);	//1sek warten
		LED_PORT &= ~(1<<LED_PORTPIN);	//Den Portpin auf low setzen
		sleep_ms(1000);	//1sek warten
	}
}

/*  Diese Funktion lsst den Controller
    "ms" Millisekunden warten.
	Die while-Schleife wird so oft durchlaufen,
	wie der Funktion bergeben wurde.
	Bei jedem Duchlauf wir noch 1ms gewartet. 
*/
void sleep_ms(uint16_t ms){
	while(ms){
		ms--;
		_delay_ms(1);
	}
}
